var search_data = {"index":{"searchIndex":["rv","binomial","boxmuller","erlang","exponential","gamma","geometric","normal","poisson","rv_generator","triangle","uniform","vonmises","weibull","__gen__()","each()","mean=()","mu=()","mu=()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","next()","next()","next()","next()","next()","next()","next()","next()","next()","next()","next()","next()","rate=()","rate=()","sigma=()","sigma=()"],"longSearchIndex":["rv","rv::binomial","rv::boxmuller","rv::erlang","rv::exponential","rv::gamma","rv::geometric","rv::normal","rv::poisson","rv::rv_generator","rv::triangle","rv::uniform","rv::vonmises","rv::weibull","rv::gamma#__gen__()","rv::rv_generator#each()","rv::exponential#mean=()","rv::boxmuller#mu=()","rv::normal#mu=()","rv::binomial::new()","rv::boxmuller::new()","rv::erlang::new()","rv::exponential::new()","rv::gamma::new()","rv::geometric::new()","rv::normal::new()","rv::poisson::new()","rv::triangle::new()","rv::uniform::new()","rv::vonmises::new()","rv::weibull::new()","rv::binomial#next()","rv::boxmuller#next()","rv::exponential#next()","rv::gamma#next()","rv::geometric#next()","rv::normal#next()","rv::poisson#next()","rv::rv_generator#next()","rv::triangle#next()","rv::uniform#next()","rv::vonmises#next()","rv::weibull#next()","rv::exponential#rate=()","rv::poisson#rate=()","rv::boxmuller#sigma=()","rv::normal#sigma=()"],"info":[["RV","","RV.html","","<p>This library implements random variate generation for several common statistical distributions.  Each …\n"],["RV::Binomial","","RV/Binomial.html","","<p>Binomial generator.  Number of “successes” in <code>n</code> independent trials.\n<p><strong>Arguments</strong> &mdash; <p><code>n</code> -&gt; the number …\n"],["RV::BoxMuller","","RV/BoxMuller.html","","<p>Alternate normal/Gaussian random variate generator with specified <code>mean</code> and +standard deviation+.  Defaults …\n"],["RV::Erlang","","RV/Erlang.html","","<p>Erlang generator - Weibull restricted to integer <code>k</code>\n<p><strong>Arguments</strong> &mdash; <p><code>rate</code> -&gt; the scale parameter (<code>rate</code> &gt; …\n"],["RV::Exponential","","RV/Exponential.html","","<p>Exponential random variate generator with specified <code>rate</code> or <code>mean</code>. One and only one of <code>rate</code> or <code>mean</code> should …\n"],["RV::Gamma","","RV/Gamma.html","","<p>Gamma generator based on Marsaglia and Tsang method Algorithm 4.33\n<p>Produces gamma RVs with expected value …\n"],["RV::Geometric","","RV/Geometric.html","","<p>Geometric generator.  Number of trials until first “success”.\n<p><strong>Arguments</strong> &mdash; <p><code>p</code> -&gt; the probability …\n"],["RV::Normal","","RV/Normal.html","","<p>Normal/Gaussian random variate generator with specified <code>mean</code> and +standard deviation+.  Defaults to a …\n"],["RV::Poisson","","RV/Poisson.html","","<p>Poisson generator.\n<p><strong>Arguments</strong> &mdash; <p><code>rate</code> -&gt; expected number per unit time/distance (<code>rate</code> &gt; 0; default: …\n"],["RV::RV_Generator","","RV/RV_Generator.html","","<p>The <code>RV_Generator</code> module provides a common core of methods to make all of the RV classes iterable.\n"],["RV::Triangle","","RV/Triangle.html","","<p>Triangular random variate generator with specified <code>min</code>, <code>mode</code>, and <code>max</code>.\n<p><strong>Arguments</strong> &mdash; <p><code>rng</code> -&gt; the (<code>Enumerable</code> …\n"],["RV::Uniform","","RV/Uniform.html","","<p>Generate values uniformly distributed between <code>min</code> and <code>max</code>.\n<p><strong>Arguments</strong> &mdash; <p><code>min</code> -&gt; the lower bound for the …\n"],["RV::VonMises","","RV/VonMises.html","","<p>von Mises generator.\n<p>This von Mises distribution generator is based on the VML algorithm by\n<p>Barabesis: …\n"],["RV::Weibull","","RV/Weibull.html","","<p>Weibull generator based on Devroye\n<p><strong>Arguments</strong> &mdash; <p><code>rate</code> -&gt; the scale parameter (<code>rate</code> &gt; 0; default: 1). …\n"],["__gen__","RV::Gamma","RV/Gamma.html#method-i-__gen__","(alpha, beta)",""],["each","RV::RV_Generator","RV/RV_Generator.html#method-i-each","()",""],["mean=","RV::Exponential","RV/Exponential.html#method-i-mean-3D","(mean)",""],["mu=","RV::BoxMuller","RV/BoxMuller.html#method-i-mu-3D","(mu)",""],["mu=","RV::Normal","RV/Normal.html#method-i-mu-3D","(mu)",""],["new","RV::Binomial","RV/Binomial.html#method-c-new","(n: 1, p: 0.5, rng: U_GENERATOR)",""],["new","RV::BoxMuller","RV/BoxMuller.html#method-c-new","(mu: 0.0, sigma: 1.0, rng: U_GENERATOR)",""],["new","RV::Erlang","RV/Erlang.html#method-c-new","(rate: 1.0, k: 1, rng: U_GENERATOR)",""],["new","RV::Exponential","RV/Exponential.html#method-c-new","(rate: nil, mean: nil, rng: U_GENERATOR)",""],["new","RV::Gamma","RV/Gamma.html#method-c-new","(alpha: 1.0, beta: 1.0, rng: U_GENERATOR)",""],["new","RV::Geometric","RV/Geometric.html#method-c-new","(p: 0.5, rng: U_GENERATOR)",""],["new","RV::Normal","RV/Normal.html#method-c-new","(mu: 0.0, sigma: 1.0, rng: U_GENERATOR)",""],["new","RV::Poisson","RV/Poisson.html#method-c-new","(rate: 1.0, rng: U_GENERATOR)",""],["new","RV::Triangle","RV/Triangle.html#method-c-new","(rng: U_GENERATOR, **args)",""],["new","RV::Uniform","RV/Uniform.html#method-c-new","(min: 0.0, max: 1.0, rng: U_GENERATOR)",""],["new","RV::VonMises","RV/VonMises.html#method-c-new","(kappa:, rng: U_GENERATOR)",""],["new","RV::Weibull","RV/Weibull.html#method-c-new","(rate: 1.0, k: 1.0, rng: U_GENERATOR)",""],["next","RV::Binomial","RV/Binomial.html#method-i-next","()",""],["next","RV::BoxMuller","RV/BoxMuller.html#method-i-next","()",""],["next","RV::Exponential","RV/Exponential.html#method-i-next","()",""],["next","RV::Gamma","RV/Gamma.html#method-i-next","()",""],["next","RV::Geometric","RV/Geometric.html#method-i-next","()",""],["next","RV::Normal","RV/Normal.html#method-i-next","()",""],["next","RV::Poisson","RV/Poisson.html#method-i-next","()",""],["next","RV::RV_Generator","RV/RV_Generator.html#method-i-next","()",""],["next","RV::Triangle","RV/Triangle.html#method-i-next","()",""],["next","RV::Uniform","RV/Uniform.html#method-i-next","()",""],["next","RV::VonMises","RV/VonMises.html#method-i-next","()",""],["next","RV::Weibull","RV/Weibull.html#method-i-next","()",""],["rate=","RV::Exponential","RV/Exponential.html#method-i-rate-3D","(rate)",""],["rate=","RV::Poisson","RV/Poisson.html#method-i-rate-3D","(rate)",""],["sigma=","RV::BoxMuller","RV/BoxMuller.html#method-i-sigma-3D","(sigma)",""],["sigma=","RV::Normal","RV/Normal.html#method-i-sigma-3D","(sigma)",""]]}}